﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TestOrderClass
{
    public class Order
    {
        public int OrderID
        {
        get; set; }

        public decimal OrderTotal
        {
        get; set; }

        public int OrderTimer
        {
            get; set;
        }

        public Order(int orderID, decimal orderTotal, int orderTimer)
        {
            OrderID = orderID;
            OrderTotal = orderTotal;
            OrderTimer = orderTimer;
        }
    } // Order Class


    public class OrderServices
    {
        private const decimal TaxRate = 0.1m;

        public decimal CalculateTotalWithTax(Order order)
        {
            return order.OrderTotal + (order.OrderTotal * TaxRate);
        
        } // CalculateTotalWithTax
    
    } // OrderServices

} // namespace
