﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleAppLevel2Class
{
    public class Calculator
    {
        // Delegates and Events
        // delegate type

        // declare a delegate
        // delare, value, return  -> call or invoke the object
        public delegate int Operation(int x, int y); // "custom type"

        // functional operation is calling the delegate
        public event Operation OnCalculate; // your type and var name
        // return has to be int and it uses 2 params x,y

        // call the delegate and event in our program
        public int Add(int x, int y)
        {
            OnCalculate?.Invoke(x, y);
            return x + y;
        }

        // Add()
        // call Add and pass 2 values/args
        // Program.cs


    } // class


} // ns
